Bug 66214 - user agent override crashes Mozilla
user agent override crashes Mozilla
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: mozilla (Show other bugs)
7.3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Blizzard
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-06-06 08:51 EDT by Warren Togami
Modified: 2007-04-18 12:43 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-06-06 10:00:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Warren Togami 2002-06-06 08:51:29 EDT
From Bugzilla Helper:   
User-Agent: Mozilla/5.0 (compatible; Konqueror/3.0.0-10; Linux)   
   
Description of problem:   
http://fhbonline.fhb.com   
In order to connect to this online banking website, I must make my web browser   
user agent "Mozilla/4.0 (compatible; MSIE5.5; Windows NT 5.0".  My local LUG   
is working toward pushing the bank to fix their website, but in the mean time   
that user agent exposed a bug in Mozilla.   
   
If the following line is added to the Mozilla prefs.js, Mozilla fails to run.   
user_pref("general.useragent.override", "Mozilla/4.0 (compatible; MSIE5.5;   
Windows NT 5.0");   
   
At first it seems to fail quietly without an error message, but if you run 
"mozilla -splash" you see the actual error message  
  
INTERNAL ERROR on Browser End: Expected a version > 5! Version = 4  
  
System error?:: Success  
   
Version-Release number of selected component (if applicable):   
Red Hat Linux 7.3 
mozilla-0.9.9-12.7.3 
   
How reproducible:   
Always 
    
Steps to Reproduce:   
1. Add user_pref("general.useragent.override", "Mozilla/4.0 (compatible; 
MSIE5.5; Windows NT 5.0");  to your prefs.js. 
2. Attempt to start Mozilla.
Comment 1 Christopher Blizzard 2002-06-06 10:00:41 EDT
That's the JVM complaining, not Mozilla.
Comment 2 Warren Togami 2002-06-20 06:26:06 EDT
Ah yes, sorry about this.

Note You need to log in before you can comment on or make changes to this bug.